> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timelockdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Evidences (Batch)

Create multiple evidence records at once within a subcategory. Use the `quantity` query parameter to specify how many copies to create with the same base data.


## OpenAPI

````yaml POST /evidences/{COMPANY_ID}/category/{CATEGORY_ID}/subcategory/{SUBCATEGORY_ID}/evidences
openapi: 3.0.0
info:
  title: TimeLockData API
  description: Public API for evidence management and blockchain traceability
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.timelockdata.com/api/v1
    description: Production
security: []
tags: []
paths:
  /evidences/{COMPANY_ID}/category/{CATEGORY_ID}/subcategory/{SUBCATEGORY_ID}/evidences:
    post:
      tags:
        - Evidence Management
      summary: Add evidences in batch
      operationId: DigitalTwinController_addDigitalTwins
      parameters:
        - name: COMPANY_ID
          required: true
          in: path
          description: Company identifier
          schema:
            type: string
        - name: SUBCATEGORY_ID
          required: true
          in: path
          description: Subcategory identifier
          schema:
            type: string
        - name: CATEGORY_ID
          required: true
          in: path
          description: Category identifier
          schema:
            type: string
        - name: quantity
          required: false
          in: query
          description: Number of evidences to create
          schema:
            type: number
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AddDigitalTwinRequest'
      responses:
        '201':
          description: Evidences created
      security:
        - APIKeyAuth: []
components:
  schemas:
    AddDigitalTwinRequest:
      type: object
      properties:
        externalId:
          type: string
          description: External identifier of the evidence
        name:
          type: string
          description: Name of the evidence
        image:
          type: string
          description: Icon image for the evidence
          format: binary
        images:
          type: array
          description: Additional images
          items:
            type: string
            format: binary
        description:
          type: string
          description: Description of the evidence
        summary:
          type: string
          description: Summary of the evidence
        owner:
          type: string
          description: Initial owner of the evidence
        meta:
          type: object
          description: Additional metadata for the evidence
      required:
        - externalId
        - name
        - owner
  securitySchemes:
    APIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````